
<div>

  <div class="table-container">
    <ng-container *ngIf="hasAdminRight()">
      <button class="btn btn-primary action-btn-class" (click)="createUser()">
        Create User
      </button>
    </ng-container>
    <table class="full-width-table" mat-table [dataSource]="dataSource">
      <ng-container matColumnDef="Id">
        <th mat-header-cell *matHeaderCellDef>Id</th>
        <td mat-cell *matCellDef="let element">{{ element.id }}</td>
      </ng-container>
      <ng-container matColumnDef="Username">
        <th mat-header-cell *matHeaderCellDef>Username</th>
        <td mat-cell *matCellDef="let element">{{ element.username }}</td>
      </ng-container>
      <ng-container matColumnDef="Email">
        <th mat-header-cell *matHeaderCellDef>Email</th>
        <td mat-cell *matCellDef="let element">{{ element.email }}</td>
      </ng-container>
      <ng-container matColumnDef="Roles">
        <th mat-header-cell *matHeaderCellDef>Roles</th>
        <td mat-cell *matCellDef="let element">{{ element.roles }}</td>
      </ng-container>

      <ng-container matColumnDef="Actions">
        <th mat-header-cell *matHeaderCellDef>Actions</th>
        <td mat-cell *matCellDef="let element">
          <div class="btn-group">
            <button class="btn btn-primary"
                    (click)="editUser(element.id)" [disabled]="!hasAdminRight()">
              Edit
            </button>
            <button class="btn btn-primary"
                    (click)="userDetails(element.id)">
              Detail
            </button>
          </div>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 20]"
                   showFirstLastButtons
                   aria-label="Select page">
    </mat-paginator>
  </div>
</div>
